/**
 * @Author: ZhaoYadong
 * @Date: 2021-12-13 14:28:49
 * @LastEditors: ZhaoYadong
 * @LastEditTime: 2022-01-18 16:55:00
 * @FilePath: /src/git.buka.tv/cloud-disk/internal/models/share.go
 */
package models

import (
	"git.apinb.com/bsm-sdk/core/database"
	"git.apinb.com/bsm-sdk/core/types"
)

type AdsPos struct {
	types.Std_IdCreated
	Key  string `gorm:"column:key;type:varchar(255);not null;" json:"key"`   // 广告位的标记
	Name string `gorm:"column:name;type:varchar(255);not null;" json:"name"` // 广告位的名称
}

func init() {
	database.AppendMigrate(&AdsPos{})
}

// TableName .
func (table *AdsPos) TableName() string {
	return "ads_pos" //对应数据库表名
}
